import * as vue from 'vue';
import { Dict } from '@chakra-ui/utils';

/** Provides theme object in component context */
declare const useTheme: <T extends object = Dict>() => T;
/** Single hook to provide theme and color mode values */
declare const useChakra: () => {
    theme: Dict;
    colorMode: vue.ComputedRef<"light" | "dark">;
    forced: boolean | undefined;
};

export { useChakra, useTheme };
